# 이미지

## 이미지 조회

> 이미지 ID를 이용하여 이미지 정보를 조회합니다.\
> \
> \`imageUrl\`은 CDN에서 제공되며, 아래 Query Parameter로 이미지 옵션을 지정할 수 있습니다.\
> \
> \### CDN Query Parameter\
> \- \`w\` : 가로 픽셀. \`h\`가 주어지면 같은 비율로 축소. 둘 다 없으면 원본 사이즈 사용.\
> \- \`h\` : 세로 픽셀. \`w\`가 주어지면 같은 비율로 축소. 둘 다 없으면 원본 사이즈 사용.\
> \- \`f\` : 출력 포맷. \`jpeg\`, \`jpg\`, \`png\`, \`webp\` 없으면: 원본 포맷.\
> \- \`q\` : 압축 퀄리티. 기본값: \`85\`

```json
{"openapi":"3.1.0","info":{"title":"Open API","version":"snapshot"},"tags":[{"name":"이미지"}],"servers":[{"url":"https://openapi.archisketch.com"}],"security":[{"open-api-key":[]}],"components":{"securitySchemes":{"open-api-key":{"type":"apiKey","name":"x-api-key","in":"header"}},"schemas":{"ApiResponseImageDetail":{"type":"object","properties":{"result":{"type":"string","description":"응답 결과 타입","enum":["SUCCESS","FAIL"]},"data":{"$ref":"#/components/schemas/ImageDetail","description":"응답 데이터"},"error":{"$ref":"#/components/schemas/ErrorMessage","description":"에러 응답, result FAIL 시 제공"}},"required":["result"]},"ImageDetail":{"type":"object","properties":{"id":{"type":"string","description":"이미지 ID"},"userId":{"type":"string","description":"사용자 ID"},"name":{"type":"string","description":"이미지 이름"},"type":{"type":"string","description":"이미지 유형","enum":["RENDER","TOP_VIEW","PANORAMA","TOUR_720"]},"imageUrl":{"type":"string","description":"이미지 URL"},"floorplanId":{"type":"string","description":"도면 ID"},"resolution":{"$ref":"#/components/schemas/ResolutionResponse","description":"해상도"},"items":{"type":"array","description":"이미지 아이템 목록","items":{"$ref":"#/components/schemas/ImageItemResponse"}},"roomCode":{"type":"integer","format":"int32","description":"방 코드"},"panoramaImageIds":{"type":"array","description":"파노라마 이미지 ID 목록","items":{"type":"string"}},"status":{"type":"string","description":"이미지 상태","enum":["CREATING","WAITING","IN_PROCESSING","COMPLETED","FAILED"]},"estimatedEndTime":{"type":"string","format":"date-time","description":"예상 완료 시각"},"createdAt":{"type":"string","format":"date-time","description":"생성일시"},"updatedAt":{"type":"string","format":"date-time","description":"수정일시"}},"required":["createdAt","estimatedEndTime","id","imageUrl","name","resolution","roomCode","status","type","updatedAt","userId"]},"ResolutionResponse":{"type":"object","properties":{"x":{"type":"integer","format":"int32","description":"가로 해상도"},"y":{"type":"integer","format":"int32","description":"세로 해상도"}},"required":["x","y"]},"ImageItemResponse":{"type":"object","properties":{"productId":{"type":"string","description":"상품 ID"},"position":{"$ref":"#/components/schemas/PositionResponse","description":"위치"}},"required":["position","productId"]},"PositionResponse":{"type":"object","properties":{"x":{"type":"number","format":"double","description":"X 좌표"},"y":{"type":"number","format":"double","description":"Y 좌표"},"z":{"type":"number","format":"double","description":"Z 좌표"}},"required":["x","y","z"]},"ErrorMessage":{"type":"object","properties":{"errorCode":{"type":"string","description":"에러 코드","enum":["INTERNAL_ERROR","BAD_REQUEST","NOT_FOUND","CONFLICT","FORBIDDEN"]},"message":{"type":"string","description":"에러 메시지"}}}}},"paths":{"/api/v1/images/{id}":{"get":{"tags":["이미지"],"summary":"이미지 조회","description":"이미지 ID를 이용하여 이미지 정보를 조회합니다.\n\n`imageUrl`은 CDN에서 제공되며, 아래 Query Parameter로 이미지 옵션을 지정할 수 있습니다.\n\n### CDN Query Parameter\n- `w` : 가로 픽셀. `h`가 주어지면 같은 비율로 축소. 둘 다 없으면 원본 사이즈 사용.\n- `h` : 세로 픽셀. `w`가 주어지면 같은 비율로 축소. 둘 다 없으면 원본 사이즈 사용.\n- `f` : 출력 포맷. `jpeg`, `jpg`, `png`, `webp` 없으면: 원본 포맷.\n- `q` : 압축 퀄리티. 기본값: `85`","operationId":"getImage","parameters":[{"name":"id","in":"path","description":"이미지 ID","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"모든 응답은 200으로 내려갑니다 (성공 실패 포함) (장애상황에서만 5xx 노출)","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiResponseImageDetail"}}}}}}}}}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.archisketch.com/dev/api-3/undefined-4.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
